# Why use Ante?

**ELI5**: Normal apps have live tests to check their systems. When they fail, engineers fix them. But Smart Contracts are immutable or tricky to upgrade, so when stacked together, small failures compound. Users need hard guarantees so it's easier to trust and build upon DeFi. Ante is a home for better tests for Smart Contracts.

**ELI2**: Ante = Smart Tests for Smart Contracts

Ante provides value to a variety of users:

{% tabs %}
{% tab title="For Developers" %}
**Do you write Smart Contracts?**

* Do you **manually** check your smart contracts with **only** off-chain tests?
* Do you want users to feel **confident** about your smart contracts?
* Do you worry about convincing users that your code does what you claim?

Let them verify for themselves, on-chain.

#### **Ante: Smart Tests for Smart Contracts.**

Ante makes it easy to signal confidence in your smart contracts with **skin in the game.** On Ante, developers can make their protocol invariants explicit and **signal responsibility** with their code, all without third parties.

Ante also calculates **decentralized trust scores**, which shows in real time how much the DeFi community trusts your code. This allows you to better optimize for success.

Grow your community and build user trust **as fast as you code.**

[**Start now and write your own Ante Test in 10 minutes**](/ante/v05/for-devs/writing-an-ante-test.md)**.**
{% endtab %}

{% tab title="For DeFi Users" %}

#### Do you deploy money in Smart Contracts?

Do you want to be *smart* about where you put money?

Ante hosts on-chain, tamper-resistant guarantees about smart contracts. Legitimate projects use Ante to **make guarantees** about their smart contracts. Anyone can verify those guarantees hold, on-chain.

Ante shows which protocols have **skin in the game** and have thought deeply about their protocol **invariants** (assumptions that should always hold, like debt < collateral) across their smart contracts. Ante also computes a real-time **decentralized trust score** from the community's participation in Ante.

**Use Ante to easily compare trust across DeFi projects and to make smarter decisions.**
{% endtab %}

{% tab title="For Security Experts" %}
Have you noticed irresponsible teams being cavalier with their Smart Contracts?

Do you wish teams with good practices were trusted more than teams that mainly hire shills?

Does it frustrate you that legitimate projects struggle to stand out?

Use Ante to verify tests and keep decentralized trust scores in line. Get rewarded by the community when you're right. Help start a more responsible standard for smart contracts.

**Start today by reviewing live Ante Tests to increase DeFi safety.**
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ante.finance/ante/v05/why-use-ante.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
